#!/usr/bin/env node
;!function(){try{var k="_btDebugIds",u="undefined",v="2d6ed90f-1623-2fc6-203f-41148665f7d8",a=function(x){try{x[k]=x[k]||{};x[k][n]=v}catch{}},n=(new Error).stack;n&&(u!=typeof window?a(window):u);n&&(u!=typeof global?a(global):u);n&&(u!=typeof self?a(self):u);n&&(u!=typeof globalThis?a(globalThis):u)}catch{}}();
import { ErrorHandler } from "./app/event/error-handler.js";
import { CLIInterface } from "./app/event/cli.js";
import { appFactory } from "./app/factory.js";
import { MetricsExporter } from "./app/event/metrics-exporter.js";
import { LogInterface } from "./app/event/log.js";
import { HealthCheckPingExecutor } from "./app/event/health-check-ping-executor.js";
const app = await appFactory(process.argv)
    .catch(() => process.exit(3)); // Error message is printed by factory
const _errorHandler = new ErrorHandler();
const _logInterface = new LogInterface();
const _cliInterface = new CLIInterface();
const _metricsExporter = new MetricsExporter();
const _healthCheckPingExecutor = new HealthCheckPingExecutor();
try {
    await app.run();
}
catch (err) {
    await _errorHandler.handleError(err);
    process.exit(1);
}
//# sourceMappingURL=main.js.map
//# debugId=2d6ed90f-1623-2fc6-203f-41148665f7d8