;!function(){try{var k="_btDebugIds",u="undefined",v="6e4a42ad-6b09-ae2a-8546-a6972763efae",a=function(x){try{x[k]=x[k]||{};x[k][n]=v}catch{}},n=(new Error).stack;n&&(u!=typeof window?a(window):u);n&&(u!=typeof global?a(global):u);n&&(u!=typeof self?a(self):u);n&&(u!=typeof globalThis?a(globalThis):u)}catch{}}();
import { buildErrorStruct } from "../error-codes.js";
const name = `iCloudAuthError`;
const prefix = `AUTH`;
export const FAILED = buildErrorStruct(name, prefix, `FAILED`, `iCloud Authentication failed`);
export const UNEXPECTED_RESPONSE = buildErrorStruct(name, prefix, `UNEXPECTED_RESPONSE`, `Unexpected HTTP response`);
export const UNKNOWN = buildErrorStruct(name, prefix, `UNKNOWN`, `Received unknown error during authentication`);
export const UNAUTHORIZED = buildErrorStruct(name, prefix, `UNAUTHORIZED`, `Username/Password does not seem to match`);
export const FORBIDDEN = buildErrorStruct(name, prefix, `FORBIDDEN`, `Username does not seem to exist`);
export const PRECONDITION_FAILED = buildErrorStruct(name, prefix, `PRECONDITION_FAILED`, `iCloud refused login - you might need to update your password`);
export const ACQUIRE_ACCOUNT_TOKENS = buildErrorStruct(name, prefix, `ACQUIRE_ACCOUNT_TOKENS`, `Unable to acquire account tokens`);
export const ACCOUNT_SETUP = buildErrorStruct(name, prefix, `ACCOUNT_SETUP`, `Unable to setup iCloud Account`);
export const SETUP_TIMEOUT = buildErrorStruct(name, prefix, `SETUP_TIMEOUT`, `iCloud setup did not complete successfully within expected amount of time`);
export const PCS_REQUEST_FAILED = buildErrorStruct(name, prefix, `PCS_REQUEST_FAILED`, `Unable to acquire PCS cookies`);
export const PCS_COOKIE_MISSING = buildErrorStruct(name, prefix, `PCS_COOKIE_MISSING`, `Required PCS cookies not in response`);
export const SRP_INIT_FAILED = buildErrorStruct(name, prefix, `SRP_INIT_FAILED`, `Unable to initialize SRP authentication protocol`);
export const LOGOUT_FAILED = buildErrorStruct(name, prefix, `LOGOUT_FAILED`, `Failed to logout from iCloud`);
//# sourceMappingURL=icloud-auth.js.map
//# debugId=6e4a42ad-6b09-ae2a-8546-a6972763efae